CVE-2006-0869
CVSS6.4
发布时间 :2006-02-23 18:02:00
修订时间 :2011-03-07 21:30:56
NMCO    

[原文]Directory traversal vulnerability in the "remember me" feature in liveuser.php in PHP Extension and Application Repository (PEAR) LiveUser 0.16.8 and earlier allows remote attackers to determine file existence, and possibly delete arbitrary files with short pathnames or possibly read arbitrary files, via a .. (dot dot) in the store_id value of a cookie.


[CNNVD]PHP Extension and Application Repository (PEAR) LiveUser 'liveuser.php'目录遍历漏洞(CNNVD-200602-361)

        PHP Extension and Application Repository (PEAR) LiveUser 0.16.8及之前版本的liveuser.php中的"remember me"功能存在目录遍历漏洞。远程攻击者可以借助cookie的store_id值中的..来确定文件是否存在,还可能删除具有短路径名称的任意文件或读取任意文件。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:pear:pear_liveuser:0.7
cpe:/a:pear:pear_liveuser:0.16.7
cpe:/a:pear:pear_liveuser:0.14.0
cpe:/a:pear:pear_liveuser:0.12.0
cpe:/a:pear:pear_liveuser:0.13.2
cpe:/a:pear:pear_liveuser:0.6
cpe:/a:pear:pear_liveuser:0.9
cpe:/a:pear:pear_liveuser:0.16.4
cpe:/a:pear:pear_liveuser:0.13.0
cpe:/a:pear:pear_liveuser:0.10.0
cpe:/a:pear:pear_liveuser:0.11.0
cpe:/a:pear:pear_liveuser:0.16.1
cpe:/a:pear:pear_liveuser:0.13.1
cpe:/a:pear:pear_liveuser:0.5
cpe:/a:pear:pear_liveuser:0.11.1
cpe:/a:pear:pear_liveuser:0.5.1
cpe:/a:pear:pear_liveuser:0.15.1
cpe:/a:pear:pear_liveuser:0.16.8
cpe:/a:pear:pear_liveuser:0.16.6
cpe:/a:pear:pear_liveuser:0.16.0
cpe:/a:pear:pear_liveuser:0.3
cpe:/a:pear:pear_liveuser:0.6.1
cpe:/a:pear:pear_liveuser:0.16.3
cpe:/a:pear:pear_liveuser:0.15.0
cpe:/a:pear:pear_liveuser:0.13.3
cpe:/a:pear:pear_liveuser:0.16.2
cpe:/a:pear:pear_liveuser:0.8.1
cpe:/a:pear:pear_liveuser:0.8
cpe:/a:pear:pear_liveuser:0.16.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0869
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0869
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-361
(官方数据源) CNNVD

- 其它链接及资源

http://securitytracker.com/id?1015659
(PATCH)  SECTRACK  1015659
http://pear.php.net/package/LiveUser/download/
(PATCH)  CONFIRM  http://pear.php.net/package/LiveUser/download/
http://xforce.iss.net/xforce/xfdb/24853
(UNKNOWN)  XF  liveuser-liveuser-file-deletion(24853)
http://xforce.iss.net/xforce/xfdb/24852
(UNKNOWN)  XF  liveuser-liveuser-file-access(24852)
http://www.vupen.com/english/advisories/2006/0697
(UNKNOWN)  VUPEN  ADV-2006-0697
http://www.securityfocus.com/bid/16761
(UNKNOWN)  BID  16761
http://www.securityfocus.com/archive/1/archive/1/425711/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060221 PEAR LiveUser File Access Vulnerabilities
http://www.gulftech.org/?node=research&article_id=00103-02212006
(VENDOR_ADVISORY)  MISC  http://www.gulftech.org/?node=research&article_id=00103-02212006
http://securityreason.com/securityalert/466
(UNKNOWN)  SREASON  466

- 漏洞信息

PHP Extension and Application Repository (PEAR) LiveUser 'liveuser.php'目录遍历漏洞
中危 路径遍历
2006-02-23 00:00:00 2006-03-02 00:00:00
远程  
        PHP Extension and Application Repository (PEAR) LiveUser 0.16.8及之前版本的liveuser.php中的"remember me"功能存在目录遍历漏洞。远程攻击者可以借助cookie的store_id值中的..来确定文件是否存在,还可能删除具有短路径名称的任意文件或读取任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        PEAR PEAR::LiveUser 0.16.8
        PEAR LiveUser-0.16.9.tgz
        http://pear.php.net/get/LiveUser-0.16.9.tgz

- 漏洞信息

23496
PEAR LiveUser LiveUser.php Cookie Data Traversal Arbitrary File Deletion
Remote / Network Access Input Manipulation
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.16.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站